%define name xmms-musepack
%define version 1.2
%define filename %name-%version
%define release %mkrel 5
%define inst_dir %_libdir/xmms/
#fixed2
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}


Summary:	XMMS plugin which plays musepack encoded audio files
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		Sound
Source:		http://musepack.origean.net/files/linux/plugins/%{filename}.tar.bz2
Url:		http://www.musepack.net/
BuildRequires:	xmms-devel >= 1.2.10
BuildRequires:	libmpcdec-devel
BuildRequires:	taglib-devel

%description
This plugin for XMMS can play audio files which are encoded with Andree
Buschmann's encoder Musepack. These files have the filename postfixes mpc,
mp+ or mpp.

%prep
%setup -q -n %filename

%build
%configure
%make

%install
%makeinstall_std
rm -f %buildroot%inst_dir/Input/*.la

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc ChangeLog 
%defattr(0755,root,root,0755)
%inst_dir/Input/*.so




%changelog
* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.2-5mdv2008.1
+ Revision: 130397
- kill re-definition of %%buildroot on Pixel's request


* Fri Feb 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2-5mdv2007.0
+ Revision: 124938
- rebuild against newer libmpcdec

* Fri Nov 24 2006 Götz Waschk <waschk@mandriva.org> 1.2-4mdv2007.1
+ Revision: 86897
- Import xmms-musepack

* Fri Nov 24 2006 Götz Waschk <waschk@mandriva.org> 1.2-4mdv2007.1
- rebuild

* Tue Aug 01 2006 Götz Waschk <waschk@mandriva.org> 1.2-1mdv2007.0
- Rebuild

* Sat Sep 17 2005 Götz Waschk <waschk@mandriva.org> 1.2-2mdk
- fix buildrequires

* Tue Sep 13 2005 Götz Waschk <waschk@mandriva.org> 1.2-1mdk
- new version

* Sat Sep 03 2005 Götz Waschk <waschk@mandriva.org> 1.2-0.RC1.2mdk
- move to mandriva

* Fri May 27 2005 Götz Waschk <goetz@zarb.org> 1.2-0.RC1.1plf
- switch to the new xmms-musepack plugin

* Wed Mar 30 2005 Olivier Thauvin <nanardon@zarb.org> 1.1.2-1plf
- 1.1.2
- mkrel

* Sat Jun 26 2004 Pascal Terjan <pterjan@linuxfr.org> 1.00-1plf
- 1.00

